package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.annotation.Compare;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 存储位置对象 t_storage_location
 *
 * @author hxhq
 * @date 2026-03-02
 */
@TableName("t_storage_location")
public class StorageLocation extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 放置地点 */
    @Compare(name = "放置地点")
    private String location;

    /** 设备名称或编号 */
    @Compare(name = "设备名称或编号")
    private String name;

    /** 放置货架 */
    @Compare(name = "放置货架")
    private String shelfPlacement;

    /** 温层 */
    @Compare(name = "温层")
    private String compartment;

    /** 部门id */
    private Long deptId;

    /** 状态 1-禁用 10-启用 */
    private Integer status;

    @TableField(exist = false)
    @Compare(name = "所属部门")
    private String deptName;

    @TableField(exist = false)
    private String wc;

    @TableField(exist = false)
    @Compare(name = "状态")
    private String statusInfo;

    public String getWc() {
        return wc;
    }

    public void setWc(String wc) {
        this.wc = wc;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    public void setShelfPlacement(String shelfPlacement)
    {
        this.shelfPlacement = shelfPlacement;
    }

    public String getShelfPlacement()
    {
        return shelfPlacement;
    }

    public void setCompartment(String compartment)
    {
        this.compartment = compartment;
    }

    public String getCompartment()
    {
        return compartment;
    }

    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public void setStatusInfo(String statusInfo) {
        this.statusInfo = statusInfo;
    }

    public String getStatusInfo() {
        return statusInfo;
    }
}
